System.DirectoryServices 1.0.5000.0 System.Reflection.AssemblyKeyFile(KeyFile="../msfinal.pub") System.Reflection.AssemblyDelaySign(DelaySign=True) System.Runtime.InteropServices.ComVisible(Value=False) System.Resources.NeutralResourcesLanguage(CultureName="en-US") System.Reflection.AssemblyInformationalVersion(InformationalVersion="0.0.0.1") System.Reflection.AssemblyDefaultAlias(DefaultAlias="System.DirectoryServices.dll") System.CLSCompliant(IsCompliant=True) System.Reflection.AssemblyTrademark(Trademark="") System.Reflection.AssemblyCopyright(Copyright="(c) 2003 Various Authors") System.Reflection.AssemblyProduct(Product="MONO CLI") System.Reflection.AssemblyCompany(Company="MONO development team") System.Reflection.AssemblyConfiguration(Configuration="Development version") System.Reflection.AssemblyDescription(Description="System.DirectoryServices.dll") System.Reflection.AssemblyTitle(Title="System.DirectoryServices.dll") System.Resources.SatelliteContractVersion(Version="1.0.5000.0") System.Enum System.IComparable System.IConvertible System.IFormattable
- Field
  System.Int32 To be added. To be added.
- Field
  System.DirectoryServices.ReferralChasingOption All To be added.

  Chase referrals of either the subordinate or external type.

- Field
  System.DirectoryServices.ReferralChasingOption External To be added.

  Chase external referrals. If no referral chasing option is specified for a directory search, the type of referral chasing performed is .

- Field
  System.DirectoryServices.ReferralChasingOption None To be added.

  Never chase the referred-to server. Setting this option prevents a client from contacting other servers in a referral process.

- Field
  System.DirectoryServices.ReferralChasingOption Subordinate To be added.

  Chase only subordinate referrals that are a subordinate naming context in a directory tree. The ADSI LDAP provider always turns off this flag for paged searches.

When a server determines that other servers hold relevant information the server might refer the client to another server to obtain the result. Referral chasing is the process by which a client contacts the referenced server to continue the directory search.

Use the constants of this enumeration to set up search preferences for referral chasing. The action involves assigning the appropriate fields of to elements of the enumeration.

The ADSI LDAP provider supports external referrals for paged searches, but does not support subordinate referrals during paging.

The enumeration specifies if and how referral chasing is pursued.